# zlib_stream::basic_zip_ostream< charT, traits > Class Template Reference

`#include <zipstreamimpl.h>`

Inheritance diagram for zlib_stream::basic_zip_ostream< charT, traits >:
[legend]
Collaboration diagram for zlib_stream::basic_zip_ostream< charT, traits >:
[legend]

List of all members.

## Public Types
typedef char | char_type
typedef std::basic_ostream < charT, traits > & | ostream_reference
typedef std::basic_ostream < charT, traits > | ostream_type
## Public Member Functions
| basic_zip_ostream (ostream_reference ostream, bool is_gzip=false, int level=Z_DEFAULT_COMPRESSION, EStrategy strategy=DefaultStrategy, int window_size=-15, int memory_level=8, size_t buffer_size=zstream_default_buffer_size)
| ~basic_zip_ostream (void)
void | finished (void)
bool | is_gzip (void) const
basic_zip_ostream< charT, traits > & | zflush (void)

### template<class charT, class traits = std::char_traits<charT>>
class zlib_stream::basic_zip_ostream< charT, traits >

## Member Typedef Documentation

template<class charT, class traits = std::char_traits<charT>>

typedef char zlib_stream::basic_zip_ostream< charT, traits >::char_type

Reimplemented from zlib_stream::basic_zip_streambuf< charT, traits >.

template<class charT, class traits = std::char_traits<charT>>

typedef std::basic_ostream<charT, traits>& zlib_stream::basic_zip_ostream< charT, traits >::ostream_reference

Reimplemented from zlib_stream::basic_zip_streambuf< charT, traits >.

template<class charT, class traits = std::char_traits<charT>>

typedef std::basic_ostream<charT, traits> zlib_stream::basic_zip_ostream< charT, traits >::ostream_type

## Constructor & Destructor Documentation

template<class charT, class traits = std::char_traits<charT>>

zlib_stream::basic_zip_ostream< charT, traits >::basic_zip_ostream | ( | ostream_reference | ostream,
|  | bool | is_gzip = `false`,
|  | int | level = `Z_DEFAULT_COMPRESSION`,
|  | EStrategy | strategy = `DefaultStrategy`,
|  | int | window_size = `-15`,
|  | int | memory_level = `8`,
|  | size_t | buffer_size = `zstream_default_buffer_size` |
| ) |  |  | `[inline, explicit]`

template<class charT, class traits = std::char_traits<charT>>

zlib_stream::basic_zip_ostream< charT, traits >::~basic_zip_ostream | ( | void |  | ) |

## Member Function Documentation

template<class charT, class traits = std::char_traits<charT>>

void zlib_stream::basic_zip_ostream< charT, traits >::finished | ( | void |  | ) |

template<class charT, class traits = std::char_traits<charT>>

bool zlib_stream::basic_zip_ostream< charT, traits >::is_gzip | ( | void |  | ) | const`[inline]`

template<class charT, class traits = std::char_traits<charT>>

basic_zip_ostream<charT, traits>& zlib_stream::basic_zip_ostream< charT, traits >::zflush | ( | void |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- zipstreamimpl.h